<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.ParkingSpaceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="parkingSpaceResultMap" type="org.springblade.estate.entity.ParkingSpace">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="type" property="type"/>
        <result column="car_id" property="carId"/>
        <result column="is_free" property="isFree"/>
        <result column="is_indoor" property="isIndoor"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="number" property="number"/>
        <result column="org_position" property="orgPosition"/>
        <result column="parking_lot_id" property="parkingLotId"/>
        <result column="is_used" property="isUsed"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectParkingSpacePage" resultMap="parkingSpaceResultMap">
        select * from estate_parking_space where is_deleted = 0
    </select>

</mapper>
